%define name	deltarpm
%define version	2.3
%define release	%mkrel 2
%define rpmdir	%{_prefix}/lib/rpm

Summary:	Tools to create and apply deltarpms
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		deltarpm-2.2-mandir.patch.bz2
URL:		ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/suse/i386/9.2/suse/src
License:	BSD/BSDPL
Group:		System/Configuration/Packaging
BuildRequires:	rpm-devel, popt-devel, zlib-devel, bzip2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains tools to create and apply deltarpms. A deltarpm
contains the difference between an old and a new version of a rpm,
which makes it possible to recreate the new rpm from the deltarpm and
the old one. You don't have to have a copy of the old rpm, deltarpms
can also work with installed rpms.

Starting from version 2.2, there are also tools to handle ISO diffs.

%prep
%setup -q
%patch0 -p1 -b .mandir

%build
%make prefix="%{_prefix}" rpmdumpheader="%{rpmdir}/rpmdumpheader"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{rpmdir}
%makeinstall_std prefix="%{_prefix}" rpmdumpheader="%{rpmdir}/rpmdumpheader"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE.BSD LICENSE.BSDPL
%{_bindir}/makedelta*
%{_bindir}/applydelta*
%{_mandir}/man8/makedelta*.8*
%{_mandir}/man8/applydelta*.8*
%{rpmdir}/rpmdumpheader

%changelog
* Thu Aug 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.3-2
- fix description

* Thu Aug  4 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.3-1mdk
- 2.3

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 2.2-3mdk
- rebuild for rpm4.4

* Thu Apr 21 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2-2mdk
- fix rdevs tag encoding (thanks michael)

* Fri Mar 18 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2-1mdk
- 2.2
- add makdeltaiso tools
- mkdeltarpm is obsoleted by makedeltarpm

* Sun Jan 23 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- make mkdeltarpm generate .seq files so that we can simply check with
  applydeltarpm -c -s for a possible rpm reconstruction

* Mon Jan 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- add support for gzip'ed rpm
- add mkdeltarpm helper script

* Thu Jan  6 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- First Mandrakelinux package
